$Client_Post_Command_Handler{'parkbutton'}{'custompark'} = sub { 
    my @allreturn = ();
    my $origen   = shift;
    my $destino  = shift;
    my $contexto = shift;
    my $socket   = shift;
    my $mychannel = main::get_btn_config( "$contexto", $origen, 'MAINCHANNEL');
    my $extension_to_dial = $destino;

    if ( !main::hasPermChannel( $socket, "dial", $mychannel ) && !main::hasPerm( $socket, "all" ) ) {
        # No 'dial' permission, abort action
        print "No permissions for park\n";
        return @allreturn;
    }

    my @orivariables;
    my $canal              = FOP2::utils::get_active_link($mychannel);

    my $autoanswer         = 0;
    my $autoanswer_header  = '';
    my $callerid           = '';

    $callerid = "CallerID: $name <$exten>";

    my $return  = "Action: Redirect\r\n";
    $return .= "Channel: $canal\r\n";
    $return .= "Extension: $destino\r\n";
    $return .= "Data: $mychannel,BEq\r\n";
    if($callerid ne "" ) {
        $return .= "$callerid\r\n";
    }
    $return .= "\r\n";
    push @allreturn, $return;
    return @allreturn;
};

